Bug 806609 - [abrt] epdfview-0.1.8-8.fc17: Object::copy: Process /usr/bin/epdfview was killed by signal 11 (SIGSEGV)
[abrt] epdfview-0.1.8-8.fc17: Object::copy: Process /usr/bin/epdfview was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:6707ac07740422e6488b5f294b5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 06:59 EDT by Xaver Hellauer
Modified: 2013-08-01 01:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.38 KB, text/plain)
2012-03-25 06:59 EDT, Xaver Hellauer
no flags Details
File: maps (48.80 KB, text/plain)
2012-03-25 06:59 EDT, Xaver Hellauer
no flags Details
File: backtrace (14.44 KB, text/plain)
2012-03-25 06:59 EDT, Xaver Hellauer
no flags Details

  None (edit)
Description Xaver Hellauer 2012-03-25 06:59:47 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        epdfview '/tmp/4_Grundlagen der Bildgestaltung.pdf'
comment:        Crashed while using scrollwheel to turn pages quickly.
crash_function: Object::copy
executable:     /usr/bin/epdfview
kernel:         3.3.0-1.fc17.x86_64
pid:            1811
pwd:            /home/xha
reason:         Process /usr/bin/epdfview was killed by signal 11 (SIGSEGV)
time:           So 25 Mär 2012 12:06:04 CEST
uid:            1000
username:       xha
xsession_errors: 

backtrace:      Text file, 14789 bytes
dso_list:       Text file, 8576 bytes
maps:           Text file, 49968 bytes

build_ids:
:d2c76dbcc861f6d3b82a5a29f1a6ce1d2050b67c
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:a410efbab0a03088ad38dc0e5fba31218d7d7b10
:20ad9f242a6a13d40812f9254ab3f7a9cd7cb9e0
:5f038f3fb1b1571769e7c9b79e025fe328052950
:5ffd6498f62a9c7da4f07913caa45bbd0dff1d2d
:e7f57be61cd4ac11362d7013dc178ac2cd17b7b5
:f6d72221cbd08cb36bb88823d33deb2024f2bee3
:2e9c83ca984afb608a9c0e27ab8dd0b0c4f89746
:e9510ea5a101b687231a5f0a6be5cbb425c6b841
:92a4af5e74d0085fafe46916e053873ef13fc345
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:664ed02205756e404bd2c47242bfa068fe47d85d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:d073903c05a46afe153cf1c3f4a043ef2fa301eb
:cf6775a44879ae43d76a03f3de47b86d72ddea0e
:3bf2fdd22eec3652e13474e7415167d3fb22babc
:b277af36744327e3d58eae76bcdaadcca71a28c6
:0b5d9b92db76189b74ae7cdb82008acaed95ee14
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:43ff5c6ac32fdbb249c0738b601d80522e7ff9c8
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:ecd8e40d27da8c246884cc2c035f43c93db99bbf
:4dd7a97381fa352854c93fb06688eae216e2965b
:7c35310fc506498c612d5d982ab03becc4b4817c
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:5110ead9fc8b209923f87d77eb2ec7f9d2ae48cb
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:c33078ce2af3b19c35d4e80fe94be13287ebbaf8
:5093d5d2c98a98180a8ec97681943fa300b2d096
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:5cb52239c901fea9e4e3ba272e477c145de9fd04
:005464563090f9648c12bfa2c9b2f8dcb72313e8
:afd73296612c0fcc24ecffd1a535c8a3e1680bd3
:35873a5c01548849d307db8f8ee296d7d58fb7fb
:7a19fd8074fd835024c84b4e6725f7827f3178a3
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd
:508cf66f72e70054a41215f80ed2385c6bb80030
:54a5cc118d928470da13565de8592b664a9868e0
:63651cdc0224824a9c9324c77c3b5887378e871d
:e789f001d792823f657f39b4f9a2ef4935271c64
:2a19651717ca94078d6f064b28d9f7f4985de0ae
:2c09a3f87a92231b0acabb79968d235d61c36967
:4c71e67821e9a63525692c94253775a4e0b5157a
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:ea3cd8b8906141aca19ba9db6070147b46d762f3
:d804f8ee47797da9213a92f00cd095ecada8d79f
:fd6500ced2b0f02efe3689d05009499035e1a5c9
:9af33edde528c64869abfcce919051d5b15848d9
:8032681acfadb3c8b9e0a6e74cd58d8c36363450
:7e1c87b6e36e94ecdd0a3ba2998c3da6191017b8
:cb561771554f57263ee5c9fe3f49f7279ef278e2
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:666abf228c966f37766ad17cd64ba794136e9ac9
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:598ac1ab8dcdb0bd5573fd4b812713b5ef138892
:2870936b9bff9305d61e8f677a0d54c133b20527
:30dcd9b8ed918d4a36d11e3822dd23882c9ed403
:4b044fe80e4c1b69986abc4b160c303048005d4e
:f25150cb1a0a1ea5e26a93ed88f25cb1b189e648
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9
:6ab431f94a2d4b59345a333f12acd8152f48c05e
:877b58d2798eb249f0bddb906daa8d44c7fe1c27
:8a58512c2cc89530f70932553442289158de3083
:ba411626ac13091abd42b787a74e754ac0188c13
:0191e6b6eda0778ad1a9c672dcce82762575d3d8
:f2bcd852f344cf90ce2a2298a4b89d8aaeee8a68
:1cf3b711de9ecfd90c9d0515e03838cbe90645ef
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:3a2c1cfdc8511cda6d905adc73ffdb651e873322
:247132297f287226a24c12e683292f5c94013066
:c2c30789c98dd4cf1fa1e2a71590b11c9aef91fd
:995f6f18d5910289af8d873e3599caf62f561191
:f9cf1e44a2f97bfa171687e20b003e919fcdba8a
:f03b79397ed9c0851f0541cd15e309cfbd944dad
:60c48bccb1ee8588601cf3e3146a476d8a776238

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:SSH_AGENT_PID=1112
:XDG_SESSION_ID=2
:HOSTNAME=ardbeg
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/xha/.gnupg/S.gpg-agent:1130:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/zsh
:TERM=dumb
:HISTSIZE=1000
:GTK2_RC_FILES=/home/xha/.config/xfce4/gtkrc
:GNOME_KEYRING_CONTROL=/home/xha/.cache/keyring-tJhFFp
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:IMSETTINGS_MODULE=none
:USER=xha
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-FqYjsnnTO960/agent.960
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:USERNAME=xha
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1139,unix/unix:/tmp/.ICE-unix/1139
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins:/usr/lib64/firefox/plugins
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/xha/bin
:DESKTOP_SESSION=xfce
:MAIL=/var/spool/mail/xha
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/xha
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=957
:LANG=de_DE.UTF-8
:XSUNSMESIZE=512
:GDMSESSION=xfce
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/xha
:SHLVL=1
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=xha
:CVS_RSH=ssh
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Q4XSBFZMVE,guid=0179b6be8fcabf063fcb4b54000000c0
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/xha
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-xha-69Pth1/database
:CCACHE_HASHDIR=
:NO_AT_BRIDGE=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/firefox/firefox
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/xha/.mozilla/firefox/Crash Reports'
:MOZ_LAUNCHED_CHILD=
:ORBIT_SOCKETDIR=/tmp/orbit-xha
:XRE_PROFILE_PATH=
:XRE_PROFILE_LOCAL_PATH=
:XRE_PROFILE_NAME=
:XRE_START_OFFLINE=
:NO_EM_RESTART=
:XUL_APP_FILE=
:XRE_BINARY_PATH=
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-epdfview.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1811

smolt_data:
:
:
:Allgemein
:=================================
:UUID: d4822ae3-65f9-4790-b887-058040d7b0bc
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.UTF-8
:Plattform: x86_64
:BogoMIPS: 4799.97
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Celeron(R) CPU        E3200  @ 2.40GHz
:CPU-Stepping: 10
:CPU Familie: 6
:CPU-Modellnummer: 23
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 2403
:Systemspeicher: 3946
:System-Swap: 4096
:Anbieter: MICRO-STAR INTERNATIONAL CO.,LTD
:System: MS-7529 1.0
:Form-Faktor: Desktop
:Kernel: 3.3.0-1.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10688:5218:29993) pci, agpgart-intel, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10202:5218:29993) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10176:5218:29993) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10207:5218:29993) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10168:5218:29993) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4332:33078:5218:29993) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10185:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:9294:5218:29993) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10187:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10186:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(4254:878:5435:4391) pci, bttv, MULTIMEDIA_VIDEO, Bt878 Video Capture
:(4254:2168:5435:4391) pci, None, MULTIMEDIA, Bt878 Audio Capture
:(4281:21049:4281:21049) pci, ehci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(4281:21047:4281:21047) pci, ohci_hcd, USB, ASRock 939Dual-SATA2 Motherboard
:(32902:10690:5218:29993) pci, i915, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10192:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:5218:29993) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:5218:29993) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10184:5218:29993) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10188:5218:29993) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 3142735 1572497 1541025 794624 587668 587668
:/dev/sda3 /home ext4 4096 4096 35963437 3811823 2011222 9003008 8865685 8865685
:/dev/sdb1 WITHHELD ext4 4096 4096 121965830 11884249 5779430 30531584 30500925 30500925
:

var_log_messages:
:Mar 25 12:06:04 ardbeg kernel: [ 3153.829600] epdfview[1814]: segfault at 7fbf000000c9 ip 000000303c70f5d6 sp 00007fbfeb537a00 error 4 in libpoppler.so.19.0.0[303c600000+1db000]
:Mar 25 12:06:04 ardbeg abrt[1815]: Saved core dump of pid 1811 (/usr/bin/epdfview) to /var/spool/abrt/ccpp-2012-03-25-12:06:04-1811 (37793792 bytes)
Comment 1 Xaver Hellauer 2012-03-25 06:59:51 EDT
Created attachment 572511 [details]
File: dso_list
Comment 2 Xaver Hellauer 2012-03-25 06:59:53 EDT
Created attachment 572512 [details]
File: maps
Comment 3 Xaver Hellauer 2012-03-25 06:59:56 EDT
Created attachment 572513 [details]
File: backtrace
Comment 4 Michal Schmidt 2012-03-26 03:10:46 EDT
Is the crash reproducible with this PDF file? Is the file publicly available somewhere?

Are you able to crash epdfview with another PDF file?
Comment 5 Xaver Hellauer 2012-03-28 05:20:23 EDT
The file is http://dpunkt.de/leseproben/3370/4_Grundlagen%20der%20Bildgestaltung.pdf
This time it did not crash and so far I couldn't crash ePDFViewer again.
Comment 6 Michal Schmidt 2012-03-28 05:49:10 EDT
Reassigning to the poppler library. Maybe the backtrace will ring a bell.
Comment 7 Fedora End Of Life 2013-07-03 21:01:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 01:07:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.